اشکال در به روز رسانی خودکار wordpress به نسخه ۴٫۹٫۳

اشکال در به روز رسانی خودکار wordpress به نسخه ۴٫۹٫۳

نسخه ۴٫۹٫۳ wordpress، در اوایل این هفته، برای وصله ۳۴ آسیب پذیری منتشر شد اما متاسفانه نسخه جدید، مکانیسم به روز رسانی اتوماتیک برای میلیون ها وب سایت wordpress را شکست.

تیم wordpress در حال حاضر نسخه جدید wordpress ۴٫۹٫۴ را منتشر کرده است تا این اشکال که مدیران wordpress باید آن را به صورت دستی نصب کنند، وصله شود.

با توجه به سایت امنیتی WordFence، هنگامی که CMS وردپرس سعی می کند تعیین کند که آیا سایت نیاز به نصب یک نسخه به روز شده دارد یا نه، اگر نسخه به روز در دسترس باشد، یک خطای PHP پروسۀ خودکار به روز رسانی را متوقف می کند.

این مشکل ثابت شده است، اما همانگونه که گزارش شده، این وصله به طور خودکار نصب نخواهد شد.

به این ترتیب، مدیران wordpress باید به روز رسانی به آخرین نسخه انتشار wordpress را به صورت دستی انجام دهند تا اطمینان حاصل شود که از آسیب پذیری های آینده محافظت می شوند.

برای به روز رسانی دستی، کاربر admin باید وارد قسمت پیشخوان (dashboard) شود و در قسمت به روز رسانی ها (updates) بر روی قسمت اکنون به روز رسانی نمایید (update now) کلیک کند. پس از به روز رسانی، مطمئن شوید که نسخه wordpress شما ۴٫۹٫۴ است.

از آن جایی که سایت های wordpress به دلیل محبوبیت گسترده خود در سیستم مدیریت محتوا (CMS) اغلب مورد هدف هکرها قرار می گیرند، توصیه می شود که همیشه نرم افزار و پلاگین های خود را به روز نگه دارید.

0 پاسخ

دیدگاه خود را ثبت کنید

تمایل دارید در گفتگوها شرکت کنید؟
در گفتگو ها شرکت کنید.

پاسخ دهید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *